query Fees($input: FeeInput!) {
fees(input: $input) {
items {
acceptor {
businessName
fees
id
name
reference
}
accountNumberPrefix
accountNumberSuffix
activityDate
billableEventAmount
billableEventCurrency
billableEventType
billingEventSourceId
billingEventSourceType
consumerType
description
feeCalculatedAmount
feeType
fundingCurrency
fundsReleaseDate
fundsTransferDescriptor
fundsTransferId
merchantCategory
name
orderReference
organization {
businessName
capabilities
fees
id
legalName
name
phoneNumber
}
paymentBrand
paymentFundingSource
paymentId
paymentProduct
perspective
presenterId
processingNetwork
productPillar
rateMultiplier
rateUnitAmount
transactionDateTime
transactionId
transactionReference
}
pageInfo {
hasNextPage
hasPreviousPage
}
}
}
{
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"fundsTransferIdFeeFilter": "example",
"standardFeeFilter": "example"
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query Fees($input: FeeInput!) {\n fees(input: $input) {\n items {\n acceptor {\n businessName\n fees\n id\n name\n reference\n }\n accountNumberPrefix\n accountNumberSuffix\n activityDate\n billableEventAmount\n billableEventCurrency\n billableEventType\n billingEventSourceId\n billingEventSourceType\n consumerType\n description\n feeCalculatedAmount\n feeType\n fundingCurrency\n fundsReleaseDate\n fundsTransferDescriptor\n fundsTransferId\n merchantCategory\n name\n orderReference\n organization {\n businessName\n capabilities\n fees\n id\n legalName\n name\n phoneNumber\n }\n paymentBrand\n paymentFundingSource\n paymentId\n paymentProduct\n perspective\n presenterId\n processingNetwork\n productPillar\n rateMultiplier\n rateUnitAmount\n transactionDateTime\n transactionId\n transactionReference\n }\n pageInfo {\n hasNextPage\n hasPreviousPage\n }\n }\n}",
"variables": {
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"fundsTransferIdFeeFilter": "example",
"standardFeeFilter": "example"
}
}
}
}'
{
"data": {
"fees": {
"items": [
{
"acceptor": {
"allocations": "example",
"authorizationSummaries": "example",
"billingDescriptor": "CLACKSWORTH KEYBOARDS",
"businessName": "Clacksworth Keyboards",
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"reference": "example"
},
"accountNumberPrefix": "example",
"accountNumberSuffix": "example",
"activityDate": "2026-01-15",
"billableEventAmount": 0,
"billableEventCurrency": "example",
"billableEventType": "UNKNOWN",
"billingEventSourceId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"billingEventSourceType": "TRANSACTION",
"consumerType": "UNKNOWN",
"description": "example",
"feeCalculatedAmount": 0,
"feeType": "SETTLEMENT",
"fundingCurrency": "example",
"fundsReleaseDate": "2026-01-15",
"fundsTransferDescriptor": "example",
"fundsTransferId": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"merchantCategory": "example",
"name": "Ben Torres",
"orderReference": "example",
"organization": {
"acceptorApplicationCounts": [
"example"
],
"acceptors": "example",
"achNotificationsOfChange": "example",
"achReturns": "example",
"allocations": "example",
"allowedMerchantCategories": [
"example"
],
"authorizationSummaries": "example",
"businessAddress": "example",
"businessName": "Clacksworth Keyboards",
"capabilities": [
"ACQUIRING"
],
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisbursementReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"legalName": "example",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"phoneNumber": "example",
"reportAvailability": [
"example"
],
"settings": "example"
},
"paymentBrand": "VISA",
"paymentFundingSource": "UNKNOWN",
"paymentId": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"paymentProduct": "example",
"perspective": "PARTNER",
"presenterId": "b6d4e5f6-7a8b-9012-3def-456789012345",
"processingNetwork": "VISA",
"productPillar": "BOARDING",
"rateMultiplier": 0,
"rateUnitAmount": 0,
"transactionDateTime": "2026-01-15T14:30:00Z",
"transactionId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"transactionReference": "example"
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true
}
}
}
}
Reporting
fees
An itemized list of applied fees for a given transaction activity date or funds release date.
query Fees($input: FeeInput!) {
fees(input: $input) {
items {
acceptor {
businessName
fees
id
name
reference
}
accountNumberPrefix
accountNumberSuffix
activityDate
billableEventAmount
billableEventCurrency
billableEventType
billingEventSourceId
billingEventSourceType
consumerType
description
feeCalculatedAmount
feeType
fundingCurrency
fundsReleaseDate
fundsTransferDescriptor
fundsTransferId
merchantCategory
name
orderReference
organization {
businessName
capabilities
fees
id
legalName
name
phoneNumber
}
paymentBrand
paymentFundingSource
paymentId
paymentProduct
perspective
presenterId
processingNetwork
productPillar
rateMultiplier
rateUnitAmount
transactionDateTime
transactionId
transactionReference
}
pageInfo {
hasNextPage
hasPreviousPage
}
}
}
{
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"fundsTransferIdFeeFilter": "example",
"standardFeeFilter": "example"
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query Fees($input: FeeInput!) {\n fees(input: $input) {\n items {\n acceptor {\n businessName\n fees\n id\n name\n reference\n }\n accountNumberPrefix\n accountNumberSuffix\n activityDate\n billableEventAmount\n billableEventCurrency\n billableEventType\n billingEventSourceId\n billingEventSourceType\n consumerType\n description\n feeCalculatedAmount\n feeType\n fundingCurrency\n fundsReleaseDate\n fundsTransferDescriptor\n fundsTransferId\n merchantCategory\n name\n orderReference\n organization {\n businessName\n capabilities\n fees\n id\n legalName\n name\n phoneNumber\n }\n paymentBrand\n paymentFundingSource\n paymentId\n paymentProduct\n perspective\n presenterId\n processingNetwork\n productPillar\n rateMultiplier\n rateUnitAmount\n transactionDateTime\n transactionId\n transactionReference\n }\n pageInfo {\n hasNextPage\n hasPreviousPage\n }\n }\n}",
"variables": {
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"fundsTransferIdFeeFilter": "example",
"standardFeeFilter": "example"
}
}
}
}'
{
"data": {
"fees": {
"items": [
{
"acceptor": {
"allocations": "example",
"authorizationSummaries": "example",
"billingDescriptor": "CLACKSWORTH KEYBOARDS",
"businessName": "Clacksworth Keyboards",
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"reference": "example"
},
"accountNumberPrefix": "example",
"accountNumberSuffix": "example",
"activityDate": "2026-01-15",
"billableEventAmount": 0,
"billableEventCurrency": "example",
"billableEventType": "UNKNOWN",
"billingEventSourceId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"billingEventSourceType": "TRANSACTION",
"consumerType": "UNKNOWN",
"description": "example",
"feeCalculatedAmount": 0,
"feeType": "SETTLEMENT",
"fundingCurrency": "example",
"fundsReleaseDate": "2026-01-15",
"fundsTransferDescriptor": "example",
"fundsTransferId": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"merchantCategory": "example",
"name": "Ben Torres",
"orderReference": "example",
"organization": {
"acceptorApplicationCounts": [
"example"
],
"acceptors": "example",
"achNotificationsOfChange": "example",
"achReturns": "example",
"allocations": "example",
"allowedMerchantCategories": [
"example"
],
"authorizationSummaries": "example",
"businessAddress": "example",
"businessName": "Clacksworth Keyboards",
"capabilities": [
"ACQUIRING"
],
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisbursementReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"legalName": "example",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"phoneNumber": "example",
"reportAvailability": [
"example"
],
"settings": "example"
},
"paymentBrand": "VISA",
"paymentFundingSource": "UNKNOWN",
"paymentId": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"paymentProduct": "example",
"perspective": "PARTNER",
"presenterId": "b6d4e5f6-7a8b-9012-3def-456789012345",
"processingNetwork": "VISA",
"productPillar": "BOARDING",
"rateMultiplier": 0,
"rateUnitAmount": 0,
"transactionDateTime": "2026-01-15T14:30:00Z",
"transactionId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"transactionReference": "example"
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true
}
}
}
}
Query
Arguments
FeeInput!
required
Show child attributes
Show child attributes
PagingInput!
required
See PagingInput
FeeFilterInput!
required
See FeeFilterInput
Return type
FeeCollection
[Fee!]!
required
Show child attributes
Show child attributes
String
The leading digits of the account.
String
The final digits of the account.
Date!
required
The date the fee was applied
Decimal!
required
The net billable event amount, including any add-ons or deductions.
String
The fee’s billable event currency code in ISO 4217 alpha currency code format.
BillableType
The type of billable event, including, but not limited to: Authorization, Capture, Refund, Reversal, Authentication, Dispute, Funds transfer, Misc. adjustment, Token, Account updater, AVS verification, etc.See BillableType
UUID
Reference id of item that fee applies to (Refer to BillingEventSourceType field for referencing type).
BillingEventSourceType
The type of entity that the billing event source id references, including, but not limited to: Transaction, Funds Transfer, Boarding Request, Acceptor, ACH Return, ACH Notice Of Change, Dispute.See BillingEventSourceType
ConsumerType
Specifies the type of account associated with the cardholder’s card, e.g., Consumer, Commercial, Government, etc., which has an impact on the interchange qualification. NOTE: This field will present a null, not applicable, or empty value if the fee is not tied to a specific transaction.See ConsumerType
String!
required
A detailed description of the fee or program
Decimal!
required
The total fee amount calculated as a percentage of the transaction amount (including taxes), a flat fee, or a combination of both.
AllocationType!
required
The type of fee, e.g., Interchange, Network, Processor, etc.See AllocationType
String!
required
The total fee amount’s currency code in ISO 4217 alpha currency code format.
Date
The date that Tesouro releases the funds from its bank account to the recipient’s bank account.
String
A value created by Tesouro and sent with the funds transfer to the recipient’s bank for display on the bank statement. It includes information on who sent the money and the purpose of the payment. The recipient can use this value to help with bank and transaction reconciliation.
UUID
A unique identifier created by Tesouro and assigned to the transfer of money to a bank account, that identifies a cohort of funded transactions making up the transfer.
String
Unique ISO four digit values used to classify merchants and their transactions into specific categories based on the type of business, trade or services supplied. https://www.iso.org/standard/79450.html
String!
required
The name of the fee, interchange or wholesale program
String
A unique identifier created by the acceptor and assigned to the order placed by the customer.
Organization
See Organization
PaymentBrand
The specific payment brand used, e.g., Visa, MasterCard, Discover, American Express, etc.See PaymentBrand
FundingSource
Specifies the source of the customer’s funds , e.g., credit, debit, or pre-paid.See FundingSource
UUID
A unique 36 character identifier created by Tesouro and assigned to a group of transactions in the same payment request cohort. e.g., An authorization request, incremental authorization request, and the final capture would have the same paymentID. NOTE: This field will present a null, not applicable, or empty value if the fee is not tied to a specific transaction.
String
The product name according to the payment brand (e.g. World Elite Mastercard card) NOTE: This field will present a null, not applicable, or empty value if the fee is not tied to a specific transaction.
Perspective
The perspective of the fee, which can be either ‘Acceptor’ or ‘Partner’. This field is used to determine the perspective from which the fee is reported.See Perspective
UUID
Presenter Id
ProductPillar!
required
The Tesouro product pillar that this fee applies to: “Boarding”, “Transaction processing”, “Funding”, “Risk, Compliance, and Dispute management”, or “Reporting”.See ProductPillar
Decimal!
required
The decimal used to multiply against the transaction amount to determine the “percentage” portion of the fee rate.
Decimal!
required
The unit amount charged on transaction, as part of the fee rate.
DateTime
The date and time that Tesouro received the transaction, in UTC. Formatted as 2024-03-27T02:40:00Z
UUID
A unique 36 character identifier assigned by Tesouro for every transaction request received.
String
A unique identifier created by the entity holding the direct relationship with the Acceptor, and used by that entity for reconciliation and transaction search. Tesouro uses this identifier to manage idempotency.
query Fees($input: FeeInput!) {
fees(input: $input) {
items {
acceptor {
businessName
fees
id
name
reference
}
accountNumberPrefix
accountNumberSuffix
activityDate
billableEventAmount
billableEventCurrency
billableEventType
billingEventSourceId
billingEventSourceType
consumerType
description
feeCalculatedAmount
feeType
fundingCurrency
fundsReleaseDate
fundsTransferDescriptor
fundsTransferId
merchantCategory
name
orderReference
organization {
businessName
capabilities
fees
id
legalName
name
phoneNumber
}
paymentBrand
paymentFundingSource
paymentId
paymentProduct
perspective
presenterId
processingNetwork
productPillar
rateMultiplier
rateUnitAmount
transactionDateTime
transactionId
transactionReference
}
pageInfo {
hasNextPage
hasPreviousPage
}
}
}
{
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"fundsTransferIdFeeFilter": "example",
"standardFeeFilter": "example"
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query Fees($input: FeeInput!) {\n fees(input: $input) {\n items {\n acceptor {\n businessName\n fees\n id\n name\n reference\n }\n accountNumberPrefix\n accountNumberSuffix\n activityDate\n billableEventAmount\n billableEventCurrency\n billableEventType\n billingEventSourceId\n billingEventSourceType\n consumerType\n description\n feeCalculatedAmount\n feeType\n fundingCurrency\n fundsReleaseDate\n fundsTransferDescriptor\n fundsTransferId\n merchantCategory\n name\n orderReference\n organization {\n businessName\n capabilities\n fees\n id\n legalName\n name\n phoneNumber\n }\n paymentBrand\n paymentFundingSource\n paymentId\n paymentProduct\n perspective\n presenterId\n processingNetwork\n productPillar\n rateMultiplier\n rateUnitAmount\n transactionDateTime\n transactionId\n transactionReference\n }\n pageInfo {\n hasNextPage\n hasPreviousPage\n }\n }\n}",
"variables": {
"input": {
"paging": {
"skip": 0,
"take": 0
},
"where": {
"fundsTransferIdFeeFilter": "example",
"standardFeeFilter": "example"
}
}
}
}'
{
"data": {
"fees": {
"items": [
{
"acceptor": {
"allocations": "example",
"authorizationSummaries": "example",
"billingDescriptor": "CLACKSWORTH KEYBOARDS",
"businessName": "Clacksworth Keyboards",
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"reference": "example"
},
"accountNumberPrefix": "example",
"accountNumberSuffix": "example",
"activityDate": "2026-01-15",
"billableEventAmount": 0,
"billableEventCurrency": "example",
"billableEventType": "UNKNOWN",
"billingEventSourceId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"billingEventSourceType": "TRANSACTION",
"consumerType": "UNKNOWN",
"description": "example",
"feeCalculatedAmount": 0,
"feeType": "SETTLEMENT",
"fundingCurrency": "example",
"fundsReleaseDate": "2026-01-15",
"fundsTransferDescriptor": "example",
"fundsTransferId": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"merchantCategory": "example",
"name": "Ben Torres",
"orderReference": "example",
"organization": {
"acceptorApplicationCounts": [
"example"
],
"acceptors": "example",
"achNotificationsOfChange": "example",
"achReturns": "example",
"allocations": "example",
"allowedMerchantCategories": [
"example"
],
"authorizationSummaries": "example",
"businessAddress": "example",
"businessName": "Clacksworth Keyboards",
"capabilities": [
"ACQUIRING"
],
"fees": "example",
"feeSummaries": "example",
"fundingAchReturns": "example",
"fundingDisbursementReturns": "example",
"fundingDisputeEvents": "example",
"fundingSummaries": "example",
"fundingTransactions": "example",
"id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"legalName": "example",
"name": "Ben Torres",
"paymentTransactions": "example",
"paymentTransactionSummaries": "example",
"phoneNumber": "example",
"reportAvailability": [
"example"
],
"settings": "example"
},
"paymentBrand": "VISA",
"paymentFundingSource": "UNKNOWN",
"paymentId": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"paymentProduct": "example",
"perspective": "PARTNER",
"presenterId": "b6d4e5f6-7a8b-9012-3def-456789012345",
"processingNetwork": "VISA",
"productPillar": "BOARDING",
"rateMultiplier": 0,
"rateUnitAmount": 0,
"transactionDateTime": "2026-01-15T14:30:00Z",
"transactionId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"transactionReference": "example"
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true
}
}
}
}
Was this page helpful?